{{ if .Values.vitess.tls.enabled }}
apiVersion: cert-manager.io/v1
kind: Issuer
metadata:
  name: "{{ .Values.vitess.name }}-vitess"
  namespace: {{ .Release.Namespace }}
spec:
  selfSigned: {}
---
apiVersion: cert-manager.io/v1
kind: Certificate
metadata:
  name: "{{ .Values.vitess.name }}-vitess-vtgate"
  namespace: {{ .Release.Namespace }}
spec:
  secretName: "{{ .Values.vitess.name }}-vitess-vtgate"
  commonName: "{{ .Values.vitess.name }}-vitess-vtgate"
  issuerRef:
    name: "{{ .Values.vitess.name }}-vitess"
    kind: Issuer
    group: cert-manager.io
{{ end }}
